Skip to main content
PATCH
/
api
/
v1
/
status-pages
/
{statusPageId}
/
component-groups
/
{groupId}
/
move
Move a component group to a new parent
curl --request PATCH \
  --url https://api.example.com/api/v1/status-pages/{statusPageId}/component-groups/{groupId}/move \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "sourceSiblingOrder": [
    "<string>"
  ],
  "destinationSiblingOrder": [
    "<string>"
  ],
  "newParentId": "<string>"
}
'

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

groupId
string
required

Body

application/json
sourceSiblingOrder
string[]
required
destinationSiblingOrder
string[]
required
newParentId
string

Response

200 - undefined